CREATE NODEGROUP ORVRNG1 ON NODE (0);

CREATE REGULAR TABLESPACE ORVRTS 
   IN NODEGROUP ORVRNG1
   MANAGED BY SYSTEM USING('ORVRTS');

CREATE TABLE SYSTOOLS.ARY_TTIMES (
   DIFFJOB_TIME TIMESTAMP,
   ARY_VERSION SMALLINT
) IN ORVRTS;
		
CREATE TABLE SYSTOOLS.ARY_TCONTAINERS (
   PARTITION INTEGER,
   TBSPACEID INTEGER,
   TBSPACE VARCHAR(128),
   CONT_NAME VARCHAR(256),
   CONT_TYPE VARCHAR(9),
   NUM_PAGES VARCHAR(100),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TABLES (
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   TYPE CHAR(1),
   STATUS CHAR(1),
   BASE_TABSCHEMA VARCHAR(128),
   BASE_TABNAME VARCHAR(128),
   ROWTYPESCHEMA VARCHAR(128),
   ROWTYPENAME VARCHAR(128),
   CREATE_TIME TIMESTAMP,
   STATS_TIME TIMESTAMP,
   COLCOUNT SMALLINT,
   TABLEID SMALLINT,
   TBSPACEID SMALLINT,
   CARD BIGINT,
   NPAGES INTEGER,
   FPAGES INTEGER,
   OVERFLOW INTEGER,
   TBSPACE VARCHAR(128),
   INDEX_TBSPACE VARCHAR(128),
   LONG_TBSPACE VARCHAR(128),
   PARENTS SMALLINT,
   CHILDREN SMALLINT,
   SELFREFS SMALLINT,
   KEYCOLUMNS SMALLINT,
   KEYINDEXID SMALLINT,
   KEYUNIQUE SMALLINT,
   CHECKCOUNT SMALLINT,
   DATACAPTURE CHAR(1),
   CONST_CHECKED CHAR(32),
   PMAP_ID SMALLINT,
   PARTITION_MODE CHAR(1),
   LOG_ATTRIBUTE CHAR(1),
   PCTFREE SMALLINT,
   APPEND_MODE CHAR(1),
   REFRESH CHAR(1),
   REFRESH_TIME TIMESTAMP,
   LOCKSIZE CHAR(1),
   VOLATILE CHAR(1),
   REMARKS VARCHAR(254),
   DROPRULE CHAR(1),
   ROW_FORMAT CHAR(1),
   PROPERTY VARCHAR(32),
   STATISTICS_PROFILE CLOB(32K),
   ACCESS_MODE CHAR(1),
   CLUSTERED CHAR(1),
   ACTIVE_BLOCKS BIGINT,
   COMPRESSION CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TABLESPACES (
   TBSPACE VARCHAR(128),
   DEFINER VARCHAR(128),
   CREATE_TIME TIMESTAMP,
   TBSPACEID INTEGER,
   TBSPACETYPE CHAR(1),
   DATATYPE CHAR(1),
   EXTENTSIZE INTEGER,
   PREFETCHSIZE INTEGER,
   OVERHEAD DOUBLE,
   TRANSFERRATE DOUBLE,
   PAGESIZE INTEGER,
   NGNAME VARCHAR(128),
   BUFFERPOOLID INTEGER,
   DROP_RECOVERY CHAR(1),
   REMARKS VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_COLUMNS (
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   COLNAME VARCHAR(128),
   COLNO SMALLINT,
   TYPESCHEMA VARCHAR(128),
   TYPENAME VARCHAR(128),
   LENGTH INTEGER,
   SCALE SMALLINT,
   DEFAULT VARCHAR(254),
   NULLS CHAR(1),
   CODEPAGE SMALLINT,
   LOGGED CHAR(1),
   COMPACT CHAR(1),
   COLCARD BIGINT,
   HIGH2KEY VARCHAR(254),
   LOW2KEY VARCHAR(254),
   AVGCOLLEN INTEGER,
   KEYSEQ SMALLINT,
   PARTKEYSEQ SMALLINT,
   NQUANTILES SMALLINT,
   NMOSTFREQ SMALLINT,
   NUMNULLS BIGINT,
   TARGET_TYPESCHEMA VARCHAR(128),
   TARGET_TYPENAME VARCHAR(128),
   SCOPE_TABSCHEMA VARCHAR(128),
   SCOPE_TABNAME VARCHAR(128),
   SOURCE_TABSCHEMA VARCHAR(128),
   SOURCE_TABNAME VARCHAR(128),
   DL_FEATURES CHAR(10),
   SPECIAL_PROPS CHAR(8),
   HIDDEN CHAR(1),
   INLINE_LENGTH INTEGER,
   IDENTITY CHAR(1),
   GENERATED CHAR(1),
   COMPRESS CHAR(1),
   TEXT CLOB(64K),
   REMARKS VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS; 
		
CREATE TABLE SYSTOOLS.ARY_KEYCOLUSE (
   CONSTNAME VARCHAR(128),
   TABSCHEMA VARCHAR(128), 
   TABNAME VARCHAR (128),
   COLNAME VARCHAR(128),
   COLSEQ SMALLINT,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TABCONST(
   CONSTNAME VARCHAR(128),
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   TYPE CHAR(1),
   REMARKS VARCHAR(254),
   ENFORCED CHAR(1),
   CHECKEXISTINGDATA CHAR(1),  
   ENABLEQUERYOPT CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_REFERENCES(
   CONSTNAME VARCHAR(128),
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   REFKEYNAME VARCHAR(128),
   REFTABSCHEMA VARCHAR(128),
   REFTABNAME VARCHAR(128),
   COLCOUNT SMALLINT,
   DELETERULE CHAR(1),
   UPDATERULE CHAR(1),
   CREATE_TIME TIMESTAMP,
   FK_COLNAMES VARCHAR (640),
   PK_COLNAMES VARCHAR (640),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_CHECKS(
   CONSTNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   CREATE_TIME TIMESTAMP,
   QUALIFIER VARCHAR(128),
   TYPE CHAR(1),
   FUNC_PATH VARCHAR(254),
   TEXT CLOB(64K),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_BUFFERPOOLS(
   BPNAME VARCHAR(128),
   BUFFERPOOLID INTEGER,
   NGNAME VARCHAR(128),
   NPAGES INTEGER,
   PAGESIZE INTEGER,
   ESTORE CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_HIERARCHIES(
   METATYPE CHAR(1),
   SUB_SCHEMA VARCHAR(128),
   SUB_NAME VARCHAR(128),
   SUPER_SCHEMA VARCHAR(128),
   SUPER_NAME VARCHAR(128),
   ROOT_SCHEMA VARCHAR(128),
   ROOT_NAME VARCHAR(128),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_INDEXES (
   INDSCHEMA VARCHAR(128),
   INDNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   TABSCHEMA VARCHAR(128),
   TABNAME VARCHAR(128),
   COLNAMES VARCHAR(640),
   UNIQUERULE CHAR(1),
   MADE_UNIQUE CHAR(1),
   COLCOUNT SMALLINT,
   UNIQUE_COLCOUNT SMALLINT,
   INDEXTYPE CHAR(4),
   ENTRYTYPE CHAR(1),
   PCTFREE SMALLINT,
   IID SMALLINT,
   NLEAF INTEGER,
   NLEVELS SMALLINT,
   FIRSTKEYCARD BIGINT,
   FIRST2KEYCARD BIGINT,
   FIRST3KEYCARD BIGINT,
   FIRST4KEYCARD BIGINT,
   FULLKEYCARD BIGINT,
   CLUSTERRATIO SMALLINT,
   CLUSTERFACTOR DOUBLE,
   SEQUENTIAL_PAGES INTEGER,
   DENSITY INTEGER,
   USER_DEFINED SMALLINT,
   SYSTEM_REQUIRED SMALLINT,
   CREATE_TIME TIMESTAMP,
   STATS_TIME TIMESTAMP,
   PAGE_FETCH_PAIRS VARCHAR(254),
   MINPCTUSED SMALLINT,
   REVERSE_SCANS CHAR(1),
   INTERNAL_FORMAT SMALLINT,
   REMARKS VARCHAR(254),
   IESCHEMA VARCHAR(128),
   IENAME VARCHAR(128),
   IEARGUMENTS CLOB(32K),
   INDEX_OBJECTID INTEGER,
   NUMRIDS BIGINT,
   NUMRIDS_DELETED BIGINT,
   NUM_EMPTY_LEAFS BIGINT,
   AVERAGE_RANDOM_FETCH_PAGES DOUBLE,
   AVERAGE_RANDOM_PAGES DOUBLE,
   AVERAGE_SEQUENCE_GAP DOUBLE,
   AVERAGE_SEQUENCE_FETCH_GAP DOUBLE,
   AVERAGE_SEQUENCE_PAGES DOUBLE,
   AVERAGE_SEQUENCE_FETCH_PAGES DOUBLE,
   TBSPACEID INTEGER,
   VERSION SMALLINT,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_INDEXCOLUSE(
   INDSCHEMA VARCHAR(128),
   INDNAME VARCHAR(128),
   COLNAME VARCHAR(128),
   COLSEQ SMALLINT,
   COLORDER CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TABAUTH (
   GRANTOR  VARCHAR(128),
   GRANTEE  VARCHAR(128),
   GRANTEETYPE  CHAR(1),
   TABSCHEMA  VARCHAR(128),
   TABNAME  VARCHAR(128),
   CONTROLAUTH  CHAR(1),
   ALTERAUTH  CHAR(1),
   DELETEAUTH  CHAR(1),
   INDEXAUTH  CHAR(1),
   INSERTAUTH  CHAR(1),
   SELECTAUTH  CHAR(1),
   REFAUTH  CHAR(1),
   UPDATEAUTH  CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_COLAUTH (
   GRANTOR  VARCHAR(128),
   GRANTEE  VARCHAR(128),
   GRANTEETYPE  CHAR(1),
   TABSCHEMA  VARCHAR(128),
   TABNAME  VARCHAR(128),
   COLNAME  VARCHAR(128),
   COLNO  SMALLINT,
   PRIVTYPE  CHAR(1),
   GRANTABLE  CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TBSPACEAUTH (
   GRANTOR CHAR(128),
   GRANTEE CHAR(128),
   GRANTEETYPE CHAR(1),
   TBSPACE VARCHAR(128), 
   USEAUTH CHAR(1),
   ALTER_TIME1 TIMESTAMP, 
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_DBAUTH (
   GRANTOR VARCHAR(128),
   GRANTEE VARCHAR(128),
   GRANTEETYPE CHAR(1),
   DBADMAUTH CHAR(1),
   CREATETABAUTH CHAR(1),
   BINDADDAUTH CHAR(1),
   CONNECTAUTH CHAR(1),
   NOFENCEAUTH CHAR(1),
   IMPLSCHEMAAUTH CHAR(1),
   LOADAUTH CHAR(1),
   ALTER_TIME1 TIMESTAMP, 
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_NODEGROUPS (
   NGNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   PMAP_ID SMALLINT,
   REBALANCE_PMAP_ID SMALLINT,
   CREATE_TIME TIMESTAMP,
   REMARKS VARCHAR(254),
   ALTER_TIME1 TIMESTAMP, 
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SCHEMAAUTH (
   GRANTOR VARCHAR(128),
   GRANTEE VARCHAR(128),
   GRANTEETYPE CHAR(1),
   SCHEMANAME VARCHAR(128),
   ALTERINAUTH CHAR(1),
   CREATEINAUTH CHAR(1),
   DROPINAUTH CHAR(1),
   ALTER_TIME1 TIMESTAMP, 
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;
 
CREATE TABLE SYSTOOLS.ARY_VIEWS (
   VIEWSCHEMA VARCHAR(128),
   VIEWNAME VARCHAR(128),
   DEFINER VARCHAR(128),
   SEQNO SMALLINT,
   VIEWCHECK CHAR(1),
   READONLY CHAR(1),
   VALID CHAR(1),
   QUALIFIER VARCHAR(128),
   FUNC_PATH VARCHAR(254),
   TEXT CLOB(64k),
   ALTER_TIME1 TIMESTAMP, 
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_INDEXAUTH (
   GRANTOR VARCHAR(128),  
   GRANTEE VARCHAR(128),  
   GRANTEETYPE CHAR(1),  
   INDSCHEMA VARCHAR(128),  
   INDNAME VARCHAR(128),  
   CONTROLAUTH CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;   

CREATE TABLE SYSTOOLS.ARY_VIEWDEP (
   VIEWSCHEMA VARCHAR(128),  
   VIEWNAME VARCHAR(128),  
   DTYPE CHAR(1),
   DEFINER VARCHAR(128),  
   BTYPE CHAR(1),  
   BSCHEMA VARCHAR(128),  
   BNAME VARCHAR(128),  
   TABAUTH SMALLINT,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_NODEGROUPDEF (
   NGNAME VARCHAR(128),
   NODENUM SMALLINT,
   IN_USE CHAR(1),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TRIGGERS (
   TRIGSCHEMA  VARCHAR(128),  
   TRIGNAME  VARCHAR(128),   
   DEFINER  VARCHAR(128),  
   TABSCHEMA  VARCHAR(128),  
   TABNAME  VARCHAR(128),   
   TRIGTIME  CHAR(1),   
   TRIGEVENT  CHAR(1),   
   GRANULARITY  CHAR(1),  
   VALID  CHAR(1),  
   CREATE_TIME  TIMESTAMP,  
   QUALIFIER  VARCHAR(128),  
   FUNC_PATH  VARCHAR(254),  
   TEXT  CLOB(64K),  
   REMARKS  VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP  
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_TRIGDEP (
   TRIGSCHEMA  VARCHAR(128),  
   TRIGNAME  VARCHAR(128),   
   BTYPE  CHAR(1),  
   BSCHEMA  VARCHAR(128),  
   BNAME  VARCHAR(128),  
   TABAUTH  SMALLINT,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP  
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_PACKAGES (
   PKGSCHEMA  VARCHAR(128),  
   PKGNAME  CHAR(8),  
   BOUNDBY  VARCHAR(128),  
   DEFINER  VARCHAR(128),  
   DEFAULT_SCHEMA  VARCHAR(128),  
   VALID  CHAR(1),  
   UNIQUE_ID  CHAR(8),  
   TOTAL_SECT  SMALLINT,  
   FORMAT  CHAR(1),  
   ISOLATION  CHAR(2),
   BLOCKING  CHAR(1),
   INSERT_BUF  CHAR(1),  
   LANG_LEVEL  CHAR(1),
   FUNC_PATH  VARCHAR(254),  
   QUERYOPT  INTEGER,  
   EXPLAIN_LEVEL  CHAR(1),  
   EXPLAIN_MODE  CHAR(1),  
   EXPLAIN_SNAPSHOT  CHAR(1),  
   SQLWARN  CHAR(1),  
   SQLMATHWARN  CHAR(1),  
   EXPLICIT_BIND_TIME  TIMESTAMP,  
   LAST_BIND_TIME  TIMESTAMP,  
   CODEPAGE  SMALLINT,  
   DEGREE  CHAR(5),  
   MULTINODE_PLANS  CHAR(1),  
   INTRA_PARALLEL  CHAR(1),  
   VALIDATE  CHAR(1),  
   DYNAMICRULES  CHAR(1),  
   SQLERROR  CHAR(1),  
   REFRESHAGE  DECIMAL (20,6),  
   REMARKS  VARCHAR(254),
   PKGVERSION VARCHAR(64),
   TRANSFORMGROUP VARCHAR(1024),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP  
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_PACKAGEAUTH (
   GRANTOR  VARCHAR(128),  
   GRANTEE  VARCHAR(128),   
   GRANTEETYPE  CHAR(1),  
   PKGSCHEMA  VARCHAR(128),   
   PKGNAME  CHAR(8),  
   CONTROLAUTH  CHAR(1),  
   BINDAUTH  CHAR(1),  
   EXECUTEAUTH  CHAR(1),  
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP  
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_PACKAGEDEP (
   PKGSCHEMA  VARCHAR(128), 
   PKGNAME  CHAR(8),  
   BINDER  VARCHAR(128),
   BTYPE  CHAR(1),  
   BSCHEMA  VARCHAR(128),  
   BNAME  VARCHAR(128),  
   TABAUTH  SMALLINT,
   UNIQUE_ID CHAR(8),
   PKGVERSION VARCHAR(64),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP  
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_PROCPARMS (
   PROCSCHEMA  VARCHAR(128),  
   PROCNAME  VARCHAR(128),  
   SPECIFICNAME  VARCHAR(128),  
   SERVERNAME  VARCHAR(128),
   ORDINAL  SMALLINT,  
   PARMNAME  VARCHAR(128),  
   TYPESCHEMA  VARCHAR(128),  
   TYPENAME  VARCHAR(128),  
   TYPEID  SMALLINT,
   SOURCETYPEID  SMALLINT,
   NULLS  CHAR(1),  
   LENGTH  INTEGER,  
   SCALE  SMALLINT,  
   PARM_MODE  VARCHAR(5),  
   CODEPAGE  SMALLINT,  
   DBCS_CODEPAGE  SMALLINT,
   AS_LOCATOR  CHAR(1),  
   TARGET_TYPESCHEMA  VARCHAR(128),
   TARGET_TYPENAME  VARCHAR(128),  
   SCOPE_TABSCHEMA  VARCHAR(128),
   SCOPE_TABNAME  VARCHAR(128),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSJARCONTENTS (
   JARSCHEMA VARCHAR (128),
   JAR_ID VARCHAR (128),
   CLASS VARCHAR (128),
   CLASS_SOURCE CLOB (10486K),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_FUNCDEP (
   FUNCSCHEMA  VARCHAR(128),  
   FUNCNAME  VARCHAR(128),   
   BTYPE  CHAR(1),  
   BSCHEMA  VARCHAR(128),  
   BNAME  VARCHAR(128),  
   TABAUTH  SMALLINT,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_DATATYPES (
   TYPESCHEMA  VARCHAR(128),  
   TYPENAME  VARCHAR(128),  
   DEFINER  VARCHAR(128),  
   SOURCESCHEMA  VARCHAR(128),
   SOURCENAME  VARCHAR(128),  
   METATYPE  CHAR(1),  
   TYPEID  SMALLINT,  
   SOURCETYPEID  SMALLINT,
   LENGTH  INTEGER,  
   SCALE  SMALLINT,  
   CODEPAGE  SMALLINT,  
   CREATE_TIME  TIMESTAMP,  
   ATTRCOUNT  SMALLINT,  
   INSTANTIABLE  CHAR(1),  
   WITH_FUNC_ACCESS  CHAR(1),  
   FINAL  CHAR(1),  
   INLINE_LENGTH  INTEGER,  
   REMARKS  VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_ATTRIBUTES (
   TYPESCHEMA  VARCHAR(128),  
   TYPENAME  VARCHAR(128),  
   ATTR_NAME  VARCHAR(128),  
   ATTR_TYPESCHEMA  VARCHAR(128),  
   ATTR_TYPENAME  VARCHAR(128),  
   TARGET_TYPESCHEMA  VARCHAR(128),  
   TARGET_TYPENAME  VARCHAR(128),  
   SOURCE_TYPESCHEMA  VARCHAR(128),  
   SOURCE_TYPENAME  VARCHAR(128),  
   ORDINAL  SMALLINT,  
   LENGTH  INTEGER,  
   SCALE  SMALLINT,  
   CODEPAGE  SMALLINT,  
   LOGGED  CHAR(1),  
   COMPACT  CHAR(1),  
   DL_FEATURES  CHAR(10),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_BUFFERPOOLNODES (
   BUFFERPOOLID  INTEGER,
   NODENUM  SMALLINT,
   NPAGES  INTEGER,
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_FUNCPARMS (
   FUNCSCHEMA  VARCHAR(128),  
   FUNCNAME  VARCHAR(128),  
   SPECIFICNAME  VARCHAR(128),  
   ROWTYPE  CHAR(1),  
   ORDINAL  SMALLINT,  
   PARMNAME  VARCHAR(128),  
   TYPESCHEMA  VARCHAR(128),  
   TYPENAME  VARCHAR(128),  
   LENGTH  INTEGER,  
   SCALE  SMALLINT,  
   CODEPAGE  SMALLINT,  
   CAST_FUNCID  INTEGER,
   AS_LOCATOR  CHAR(1),  
   TARGET_TYPESCHEMA  VARCHAR(128),  
   TARGET_TYPENAME  VARCHAR(128),  
   SCOPE_TABSCHEMA  VARCHAR(128),  
   SCOPE_TABNAME  VARCHAR(128),  
   TRANSFORM_GRPNAME  VARCHAR(128),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_EVENTMONITORS (
   EVMONNAME  VARCHAR(128),  
   DEFINER  VARCHAR(128),  
   TARGET_TYPE  CHAR(1),  
   TARGET  VARCHAR(246),  
   MAXFILES  INTEGER,
   MAXFILESIZE  INTEGER,
   BUFFERSIZE  INTEGER,
   IO_MODE  CHAR(1),
   WRITE_MODE  CHAR(1),
   AUTOSTART  CHAR(1),  
   NODENUM  SMALLINT,  
   MONSCOPE  CHAR(1),  
   REMARKS  VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_EVENTS (
   EVMONNAME  VARCHAR(128),  
   TYPE  VARCHAR(128),  
   FILTER  CLOB(32K),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSTRANSFORMS (
   TYPEID  SMALLINT,
   GROUPNAME  VARCHAR(128),
   FROMSQL_FUNCID  INTEGER,
   TOSQL_FUNCID  INTEGER,
   FROMSQL_FORMAT CHAR(1),
   TOSQL_FORMAT CHAR(1),
   FROMSQL_LENGTH INTEGER,
   ORIGIN CHAR(1),
   REMARKS  VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SCHEMATA (
   SCHEMANAME  VARCHAR(128),  
   OWNER  VARCHAR(128),  
   DEFINER  VARCHAR(128),  
   CREATE_TIME  TIMESTAMP,
   REMARKS  VARCHAR(254),
   ALTER_TIME1 TIMESTAMP,
   ALTER_TIME2 TIMESTAMP,
   VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SEQUENCES (
  SEQSCHEMA VARCHAR (128),
  SEQNAME VARCHAR (128),
  DEFINER VARCHAR (128),
  OWNER VARCHAR (128),
  SEQID INTEGER,
  SEQTYPE CHARACTER (1),
  INCREMENT DECIMAL (31,0),
  START DECIMAL (31,0),
  MAXVALUE DECIMAL (31,0),
  MINVALUE DECIMAL (31,0),
  CYCLE CHARACTER (1),
  CACHE SMALLINT,
  ORDER CHARACTER (1),
  DATATYPEID INTEGER,
  SOURCETYPEID INTEGER,
  CREATE_TIME TIMESTAMP,
  ALTER_TIME TIMESTAMP,
  PRECISION SMALLINT,
  ORIGIN CHARACTER (1),
  REMARKS VARCHAR (254),
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSDEPENDENCIES (
  BNAME VARCHAR (128),
  BSCHEMA VARCHAR (128),
  BTYPE CHARACTER (1),
  DNAME VARCHAR (128),
  DSCHEMA VARCHAR (128),
  TABAUTH SMALLINT,
  DTYPE CHARACTER (1),
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_COLCHECKS (
  CONSTNAME VARCHAR(128),
  TABSCHEMA VARCHAR(128),
  TABNAME VARCHAR(128),
  COLNAME VARCHAR(128),
  USAGE CHAR(1),
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_EVENTTABLES (
  EVMONNAME VARCHAR(128),
  LOGICAL_GROUP	VARCHAR(18),
  TABSCHEMA VARCHAR(128),
  TABNAME VARCHAR(128),
  PCTDEACTIVATE SMALLINT,
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSROUTINES (
  ROUTINESCHEMA VARCHAR(128), 	
  ROUTINENAME VARCHAR(128), 	
  ROUTINETYPE CHAR(1), 	
  DEFINER VARCHAR(128), 	
  SPECIFICNAME VARCHAR(128),
  PARM_SIGNATURE VARCHAR(180) FOR BIT DATA,
  ROUTINE_ID INTEGER, 	
  RETURN_TYPE SMALLINT,
  ORIGIN CHAR(1), 	
  FUNCTION_TYPE CHAR(1), 	
  PARM_COUNT SMALLINT, 	
  LANGUAGE CHAR(8), 	
  SOURCESCHEMA VARCHAR(128),
  SOURCESPECIFIC VARCHAR(128),
  INTERNAL_PREC1 INTEGER,
  INTERNAL_PREC2 DOUBLE,
  INTERNAL_DESC BLOB(20M),
  DETERMINISTIC CHAR(1), 	
  EXTERNAL_ACTION CHAR(1), 	
  NULL_CALL CHAR(1), 	
  CAST_FUNCTION CHAR(1), 	
  ASSIGN_FUNCTION CHAR(1), 	
  SCRATCHPAD CHAR(1), 	
  SCRATCHPAD_LENGTH SMALLINT, 	
  FINAL_CALL CHAR(1), 	
  PARALLEL CHAR(1), 	
  PARAMETER_STYLE CHAR(8), 	
  FENCED CHAR(1), 	
  SQL_DATA_ACCESS CHAR(1), 	
  DBINFO CHAR(1), 	
  PROGRAM_TYPE CHAR(1), 	
  COMMIT_ON_RETURN CHAR(1), 	
  RESULT_SETS SMALLINT, 	
  SPEC_REG CHAR(1), 	
  FEDERATED CHAR(1),
  CREATEDTS TIMESTAMP,
  ALTEREDTS TIMESTAMP,
  SOURCEROUTINEID INTEGER,
  NAMESPACE CHAR(1),
  METHODPROPERTY CHAR(1),
  THREADSAFE CHAR(1), 	
  VALID CHAR(1), 	
  METHODIMPLEMENTED CHAR(1), 	
  METHODEFFECT CHAR(2), 	
  TYPE_PRESERVING CHAR(1), 	
  WITH_FUNC_ACCESS CHAR(1), 	
  OVERRIDDEN_METHODID INTEGER,
  SUBJECT_TYPESCHEMA VARCHAR(128),
  SUBJECT_TYPENAME VARCHAR(128),
  SUBJECT_TYPEID SMALLINT,
  FUNC_PATH VARCHAR(254),
  QUALIFIER VARCHAR(128),
  SELECTIVITY DOUBLE, 	
  RESULT_COLS SMALLINT, 	
  IMPLEMENTATION VARCHAR(254),
  LIB_ID INTEGER,
  TEXT_BODY_OFFSET INTEGER, 	
  TEXT CLOB(2M),
  NEWSAVEPOINTLEVEL CHAR(1), 	
  REMARKS VARCHAR(254),
  CARDINALITY BIGINT,
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSLIBRARYBINDFILES (
  LIB_ID INTEGER,
  LIBVERSION INTEGER,
  PACKAGE_SCHEMA VARCHAR(128),
  PACKAGE_NAME VARCHAR(128),
  PACKAGE_VERSION VARCHAR(64),
  BINDFILE_PATH VARCHAR(255),
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE TABLE SYSTOOLS.ARY_SYSCONSTDEP (
  BNAME VARCHAR (128),
  BCREATOR VARCHAR (128),
  BTYPE CHARACTER (1),
  DTBNAME VARCHAR (128),
  DTBCREATOR VARCHAR (128),
  DCONSTNAME VARCHAR (128),
  ALTER_TIME1 TIMESTAMP,
  ALTER_TIME2 TIMESTAMP,
  VERSION_END_TIME TIMESTAMP
) IN ORVRTS;

CREATE INDEX SYSTOOLS.ARY_ICONTAINERS ON SYSTOOLS.ARY_TCONTAINERS
(TBSPACEID);

CREATE INDEX SYSTOOLS.ARY_ITABLES ON SYSTOOLS.ARY_TABLES 
(TABSCHEMA,TABNAME);

CREATE INDEX SYSTOOLS.ARY_ITABLESPACES ON SYSTOOLS.ARY_TABLESPACES 
(TBSPACE,DEFINER);

CREATE INDEX SYSTOOLS.ARY_ICOLUMNS ON SYSTOOLS.ARY_COLUMNS 
(TABSCHEMA,TABNAME,COLNAME);

CREATE INDEX SYSTOOLS.ARY_IKEYCOLUSE ON SYSTOOLS.ARY_KEYCOLUSE 
(CONSTNAME,TABSCHEMA,TABNAME,COLNAME);

CREATE INDEX SYSTOOLS.ARY_ITABCONST ON SYSTOOLS.ARY_TABCONST
(CONSTNAME,TABSCHEMA,TABNAME,DEFINER);

CREATE INDEX SYSTOOLS.ARY_IREFERENCES ON SYSTOOLS.ARY_REFERENCES
(CONSTNAME,TABSCHEMA,TABNAME,DEFINER);

CREATE INDEX SYSTOOLS.ARY_ICHECKS ON SYSTOOLS.ARY_CHECKS
(CONSTNAME,TABSCHEMA,TABNAME,DEFINER);

CREATE INDEX SYSTOOLS.ARY_IBUFFERPOOLS ON SYSTOOLS.ARY_BUFFERPOOLS
(BPNAME,BUFFERPOOLID);

CREATE INDEX SYSTOOLS.ARY_IHIERARCHIES ON SYSTOOLS.ARY_HIERARCHIES
(METATYPE,SUB_SCHEMA,SUB_NAME);

CREATE INDEX SYSTOOLS.ARY_IINDEXES ON SYSTOOLS.ARY_INDEXES
(INDSCHEMA,INDNAME);

CREATE INDEX SYSTOOLS.ARY_IINDEXCOLUSE ON SYSTOOLS.ARY_INDEXCOLUSE
(INDSCHEMA,INDNAME,COLNAME);

CREATE INDEX SYSTOOLS.ARY_ITABAUTH ON SYSTOOLS.ARY_TABAUTH 
(GRANTOR,GRANTEE,GRANTEETYPE,TABSCHEMA,TABNAME);

CREATE INDEX SYSTOOLS.ARY_ICOLAUTH ON SYSTOOLS.ARY_COLAUTH 
(GRANTOR,GRANTEE,TABSCHEMA,TABNAME,COLNAME,PRIVTYPE);

CREATE INDEX SYSTOOLS.ARY_ITBSPACEAUTH ON SYSTOOLS.ARY_TBSPACEAUTH 
(GRANTOR,GRANTEE,GRANTEETYPE,TBSPACE,USEAUTH);

CREATE INDEX SYSTOOLS.ARY_IDBAUTH ON SYSTOOLS.ARY_DBAUTH 
(GRANTEE,GRANTEETYPE);

CREATE INDEX SYSTOOLS.ARY_INODEGROUPS ON SYSTOOLS.ARY_NODEGROUPS 
(NGNAME,DEFINER,PMAP_ID);

CREATE INDEX SYSTOOLS.ARY_ISCHEMAAUTH ON SYSTOOLS.ARY_SCHEMAAUTH 
(GRANTEE,GRANTEETYPE,SCHEMANAME);

CREATE INDEX SYSTOOLS.ARY_IVIEWS ON SYSTOOLS.ARY_VIEWS 
(VIEWSCHEMA,VIEWNAME);

CREATE INDEX SYSTOOLS.ARY_IINDEXAUTH ON SYSTOOLS.ARY_INDEXAUTH
(GRANTEE,GRANTEETYPE,INDSCHEMA,INDNAME);

CREATE INDEX SYSTOOLS.ARY_IVIEWDEP ON SYSTOOLS.ARY_VIEWDEP
(VIEWSCHEMA,VIEWNAME,DTYPE,BTYPE,BSCHEMA,BNAME);

CREATE INDEX SYSTOOLS.ARY_ITRIGGERS ON SYSTOOLS.ARY_TRIGGERS
(TRIGSCHEMA,TRIGNAME);

CREATE INDEX SYSTOOLS.ARY_ITRIGDEP ON SYSTOOLS.ARY_TRIGDEP
(TRIGSCHEMA,TRIGNAME,BSCHEMA,BNAME);

CREATE INDEX SYSTOOLS.ARY_IPACKAGES ON SYSTOOLS.ARY_PACKAGES
(PKGSCHEMA,PKGNAME);

CREATE INDEX SYSTOOLS.ARY_ISYSCONSTDEP1 ON SYSTOOLS.ARY_SYSCONSTDEP
(BNAME,BCREATOR,BTYPE,DTBCREATOR,DTBNAME,DCONSTNAME,ALTER_TIME1,ALTER_TIME2,VERSION_END_TIME);

CREATE INDEX SYSTOOLS.ARY_ISYSCONSTDEP2 ON SYSTOOLS.ARY_SYSCONSTDEP
(DTBCREATOR,DTBNAME,DCONSTNAME,BTYPE,ALTER_TIME1,ALTER_TIME2,VERSION_END_TIME);
